/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets.event;

import com.phidgets.Phidget;

public class SensorChangeEvent
{
	Phidget source;
	int index;
	int value;

	public SensorChangeEvent(Phidget source, int index, int value) {
		this.source = source;
		this.index = index;
		this.value = value;
	}

	public Phidget getSource() {
		return source;
	}

	public int getIndex() {
		return index;
	}

	public int getValue() {
		return value;
	}

	public String toString() {
		return source.toString() + " sensor " + index + " changed to "
		  + value;
	}
}
